#include <iostream>
#include <iomanip>
using namespace std;

void DataInput(double &payRate, double &hours);
double CalculateGrossPay(double payRate, double hours);
double CalculateNetPay(double grossPay, double netpay);
void Display(double payRate, double grossPay, double netPay, double hours);

int main()
{
	double payRate, grossPay, netPay = 0, hours;
	DataInput(payRate, hours);
	grossPay = CalculateGrossPay(payRate, hours);
	netPay = CalculateNetPay(grossPay, netPay);
	Display(payRate, grossPay, netPay, hours);
	return 0;
}
void DataInput(double &payRate, double &hours)
{
	cout << setprecision(2) << fixed;
	cout << "Welcome to the Pay Roll Program" << endl;
	cout << "************************************************" << endl;
	cout << "This program takes two numbers (payRate & hours)" << endl;
	cout << "and multiplies them to get gross pay " << endl;
	cout << "it then calculates net pay by subtracting 15%" << endl;
	cout << "************************************************" << endl << endl;
	do
	{
		cout << "Please input the pay per hour" << endl;
		cin >> payRate;
		if (payRate < 0.0)
			cout << "Pay Rate cannot be negative\n";
	} while (payRate < 0.0);
	do
	{
		cout << endl << "Please input the number of hours worked" << endl;
		cin >> hours;
		if (hours < 0.0)
			cout << "hours cannot be negative\n";
	} while (hours < 0);
	cout << endl << endl;
}
double CalculateGrossPay(double payRate, double hours)
{
	return payRate * hours;
}
double CalculateNetPay(double grossPay, double netpay)
{
	return grossPay - (grossPay * 0.15);
}
void Display(double payRate, double grossPay, double netPay, double hours)
{
	cout << "The Pay Rate is $" << payRate << endl;
	cout << "The hours worked is " << hours << endl;
	cout << "The gross pay is $" << grossPay << endl;
	cout << "The net pay is $" <<  netPay << endl;
	cout << "We hope you enjoyed this program" << endl;
}
